Package net.rubygrapefruit.platform

# Interface Memory

All Superinterfaces:
  `NativeIntegration`

All Known Subinterfaces:
  `OsxMemory`

All Known Implementing Classes:
  `DefaultMemory`, `DefaultOsxMemory`

public interface Memory extends NativeIntegration

## Method Summary

Modifier and Type
Method
Description
`MemoryInfo`
`getMemoryInfo()`
Queries the current state of the system memory.

## Method Details

### getMemoryInfo

MemoryInfo getMemoryInfo() throws NativeException
Queries the current state of the system memory.

Throws:
  `NativeException` - On failure.